Bug 489624 - abrt ui review
abrt ui review
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
: Reopened
: 497600 506631 523817 524349 525851 526072 552916 555378 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 19:58 EDT by Matthias Clasen
Modified: 2013-08-08 05:27 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 05:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Missing ABRT menu icon.png (751.35 KB, image/png)
2009-10-15 10:47 EDT, James Laska
no flags Details

  None (edit)
Description Matthias Clasen 2009-03-10 19:58:47 EDT
Some things that could be improved in the abrt ui:

- The statusicon should not blink, that is just annoying

- Don't use the generic GTK+ warning icon, instead find some more specific icon

- The "CC has detected a crash. Do you want to open the crash analyzer..." [Yes/No] dialog is not helpful. The user already clicked on the icon, so you can assume that he wants to see the details and just open the main gui.

- The main gui should either be a real dialog (which would be better for a report-this-crash type ui). In that case, it should loose the menubar and have the buttons in the action area at the bottom of the dialog. Or it should be a real crash-report-management application, in which case the list of crashes is good, but the buttons should be a real toolbar instead. 

- Also, never make the menubar insensitive.

- "Do you really want to quit" dialogs are generally annoying and should be avoided.
Comment 1 Jiri Moskovcak 2009-03-11 06:59:02 EDT
Hi,
thanks for the comments on gui, I've fixed all the issues in git except the icon type - which I'll do when I find some suitable replacement.

Jirka
Comment 2 Matthias Clasen 2009-03-11 12:03:40 EDT
If you need a specific icon, it is always possible to send a mail to mlanglie@redhat.com (or ux-dept@redhat.com, I guess) and ask for it.
Comment 3 Bug Zapper 2009-06-09 08:07:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matthias Clasen 2009-07-17 10:59:14 EDT
Another icon that needs to be improved is the warning icon that you show in the statusicon when a crash happens. Currently it is just the stock GTK+ warning icon.  Showing that in the notification area is not good, since it doesn't give a clear indication what it is about. You should get a more specifically core-dump-related icon made.
Comment 5 Matthias Clasen 2009-07-17 12:23:56 EDT
the request for icons is here: 
https://fedorahosted.org/design-team/ticket/38
Comment 6 Denys Vlasenko 2009-10-06 09:59:03 EDT
dup 524349 says:
Crash description field should word-wrap
Horizontal scrolling is the worst UI disaster possible.
Comment 7 Denys Vlasenko 2009-10-06 09:59:08 EDT
*** Bug 524349 has been marked as a duplicate of this bug. ***
Comment 8 Denys Vlasenko 2009-10-06 11:24:18 EDT
*** Bug 497600 has been marked as a duplicate of this bug. ***
Comment 9 Denys Vlasenko 2009-10-06 11:26:23 EDT
from 523817:

Today a pulseaudio crashed when running from a Test Day LiveCD. Abrt icon shows
up, good. I click on it, GUI pops up, great. I see an item saying pulseaudio, I
see "Not reported" sign, nice. But how to report it? No big button anywhere.
Right click on the item - nothing happens. Looking at the system menu - nothing
there. There is one option left - the icon with the (probably) save icon. What
does it do? No tooltip, no name, nothing! Ok, I will risk that, it's just a
livecd. I click it, heart pounding. Long time waiting and watching dialog where
the last line is always cut off, not really seeing much. "Report" screen pops
up. I write a long comment what I did before it crashed. The dialog does not
wrap words so it's a very long single line, I have to constantly scroll left
and right. Hit Send and confirm all warnings. I get an error message saying I
have not filled in my bugzilla account credentials. It hadn't asked! On top of
that, at the bottom there is a line "This crash has been reported, you can find
the report(s) at:"... and that's all, rest is blank. So was it reported or not?
Weird. Alright, what now? After a while I find Bugzilla plugin in Preferences,
so I enter my credentials. The Apply and Cancel button are swapped, therefore I
hit Cancel unintentionally to confirm it. Argh. Ok, I fill it again, this time
pressing Apply. I press the green button again to report the bug again. Oh my
god, my previous comment is lost. F**k! So much time spent on writing it.
Alright, what I wouldn't do for the community. I write the comment once more. I
hit Send, Yes, Yes and the bug is finally reported. Oof!

Guys! Developers, developers, developers! :) Try to look at it also from an
end-user perspective! I had feelings like tearing the software to pieces, what
about them? They will probably end at the green button hesitation.

I believe I don't have to report you single bugs for all problems described in
the text, you can surely extract them from it.
Comment 10 Denys Vlasenko 2009-10-06 11:26:51 EDT
*** Bug 523817 has been marked as a duplicate of this bug. ***
Comment 11 Denys Vlasenko 2009-10-06 11:28:17 EDT
from 525851:

Abrt has a bad popup-heavy ui

When you try to send a crash it fires a series of popups (do you really want to
do x or y). They should be inlined like the firefox yellow bars with the
possibility to make the choices sticky
Comment 12 Denys Vlasenko 2009-10-06 11:28:58 EDT
*** Bug 525851 has been marked as a duplicate of this bug. ***
Comment 13 Denys Vlasenko 2009-10-06 11:30:51 EDT
from 506631:

Applications->System Tools->A.B.R.T does not have an icon. It should.
Comment 14 Denys Vlasenko 2009-10-06 11:31:08 EDT
*** Bug 506631 has been marked as a duplicate of this bug. ***
Comment 15 Denys Vlasenko 2009-10-06 11:32:32 EDT
From 526072:

Currently ABRT shows a /!\ icon in the tray if applications crash. This does
not really tell the user what happened. Also, other apps also use the same icon
(device-kit I think).
Comment 16 Denys Vlasenko 2009-10-06 11:32:43 EDT
*** Bug 526072 has been marked as a duplicate of this bug. ***
Comment 17 James Laska 2009-10-15 10:47:35 EDT
Created attachment 364930 [details]
Missing ABRT menu icon.png

Not sure if you are still tracking this issue, but the abrt menu icon appears to still be missing as of abrt-0.0.9-2.fc12.i686.
Comment 18 Jiri Moskovcak 2009-10-20 06:37:36 EDT
Yes, we are tracking it, so far we have a new status icon, which is not usable as menu icon.

Jirka
Comment 19 Andrew McNabb 2009-10-23 18:26:04 EDT
(In reply to comment #11)
> from 525851:
> 
> Abrt has a bad popup-heavy ui
> 
> When you try to send a crash it fires a series of popups (do you really want to
> do x or y). They should be inlined like the firefox yellow bars with the
> possibility to make the choices sticky  

Yeah, it took me about 10 popups to file my first report.  Sometimes the one I needed to enter information for was hidden under earlier dialogs, so I had to move windows out of the way to get at the one I needed.  There were so many popups that it was very hard to figure out what I was doing.
Comment 20 James Laska 2009-10-29 16:07:32 EDT
(In reply to comment #18)
> Yes, we are tracking it, so far we have a new status icon, which is not usable
> as menu icon.

Jirka, is this something you'd envision completing for F-12 final?
Comment 21 Jiri Moskovcak 2009-11-02 16:30:01 EST
I've added the menu icon, I'll change the trayicon i next update.
Comment 22 Denys Vlasenko 2010-02-09 06:41:34 EST
*** Bug 555378 has been marked as a duplicate of this bug. ***
Comment 23 Denys Vlasenko 2010-02-09 06:42:26 EST
From dup 555378:

Please forgive this overly general criticism, but I feel that the ABRT UI is in
need of a full redesign, involving a User Interaction expert.

The entire GUI seems to be structured around implementation details of the
application, rather than around the experience of the user, and I feel that the
app could be significantly improved with a full redesign of the UI.

To try to make this more concrete: if I go to the "Edit" menu, the first item
is "Plugins", which brings up a dialog for editing plugins.  This dialog
appears to directly expose inner workings of the application, from the
perspective of implementation.  As someone who merely uses the app, the dialog
seems to me to be confusing to read, and extremely visually "busy"; it is
essentially a collection of Enable/Disable checkboxes, but they are hidden in a
fog of widgetry relating to the plugin infrastructure.

Next, the "Preferences" item:  this brings up a dialog named "Global Settings",
and all of the options here appear to me to be "deep" implementation-level
config: practically the first option is "Database backend" with an option to
change from a SQLite3 backend to... no other possible options, and so it goes
on.  None of the options are documented inline with the UI and there is no
online help.  However, I'm not sure that any of these configurations settings
should even appear in the GUI.

Similarly, when reporting a bug, all information is brought up in a 3-column
list view, "Send", "Item", "Value", which appears to reflect the implementation
details of how you're assembling reports.  Unfortunately this view is hard to
figure out: individual rows vary greatly in height, making it difficult to see
which checkbox in the "Send" column corresponds to the items in the other
columns.  I have privacy and security concerns about sending certain
information in certain reports, and it is difficult for me to quickly ascertain
what information will be sent.  There appears to be no way to selectively
anonymize parts of the report that are sent.  Basic navigation within this view
can be difficult; some rows can be many hundreds of pixels high, and it's hard
to see where rows begin and end, and if there are two rows hiding a third row
between them that might e.g. contain password information.

I think the deeper issue here is to decide who the target users of this
application are.  I believe that the design of this application needs to
contain a statement of "personas" describing people who would use the
application; see e.g. http://www.user.com/personas.htm

I believe that the application needs at least three personas:
  (a) a persona evoking a non-computerese user of the system, who's
self-administering the system (e.g. a small businessman using OO.org
spreadsheets who encounters a crash)
  (b) a persona evoking a sysadmin who is managing systems on behalf of others
(either desktops, or headless servers) and trying to deal with the problems
they encounter, be it due to bugs in the software, local/site-specific issues
(e.g. "their intranet's down"), user-error, or malicious activity.
  (c) a persona evoking the maintainer who's receiving the bug reports and
working with (a) and (b).

We have resources both within the Fedora community:
  https://admin.fedoraproject.org/mailman/listinfo/design-team
and within Red Hat itself who can help with this kind of design. CCing duffy
who knows how to contact such resources.
Comment 24 Denys Vlasenko 2010-02-11 12:01:40 EST
*** Bug 552916 has been marked as a duplicate of this bug. ***
Comment 25 Denys Vlasenko 2010-02-11 12:02:11 EST
From dup 552916:

abrt-gui doesn't follow standard desktop behaviour:

1. It is not possible to select multiple items from the abrt-gui window
2. It is not possible to use the delete key to delete items that are selected
Comment 26 Denys Vlasenko 2010-02-11 12:22:30 EST
*** Bug 541853 has been marked as a duplicate of this bug. ***
Comment 27 Denys Vlasenko 2010-02-11 12:23:18 EST
From dup 541853:

Items in abrt gui are not sorted. I would expect them to be
sorted by the Date column (showing last occurrence of the crash I suppose). It
is not even possible to click on the column to sort them manually. This way it
is very hard to navigate in the list and for example see what latest crashes
were caught.

Please sort the list by default or allow manual sorting.
Comment 28 Bug Zapper 2010-04-27 09:09:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Bug Zapper 2010-06-28 07:26:36 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 30 Dave Malcolm 2010-06-28 10:56:06 EDT
Reopening; marking Version as F13
Comment 31 Bug Zapper 2011-06-02 14:13:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Bug Zapper 2011-06-27 10:07:30 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 33 Dave Malcolm 2011-06-27 12:50:46 EDT
Reopening, marking version as rawhide again
Comment 34 Fedora Admin XMLRPC Client 2011-12-19 12:42:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 35 Fedora Admin XMLRPC Client 2011-12-19 12:45:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 36 Fedora End Of Life 2013-04-03 14:24:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 37 Jiri Moskovcak 2013-08-08 05:27:46 EDT
This UI review doesn't apply to the new abrt ui -> closing

Note You need to log in before you can comment on or make changes to this bug.